%define		fname		MyghtyUtils
Summary:	Container and Utility Functions from the Myghty Template Framework
Summary(pl.UTF-8):	Funkcje kontenerowe i narzędziowe z Myghty Template Framework
Name:		python-%{fname}
Version:	0.52
Release:	3
License:	MIT
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/M/MyghtyUtils/%{fname}-%{version}.zip
# Source0-md5:	a15cda5919509024245802f4028b1560
URL:		http://www.myghty.org/
BuildRequires:	python >= 1:2.4
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	unzip
%pyrequires_eq	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the set of utility classes used by Myghty templating. Included
are:

container - the Containment system providing back-end neutral
key/value storage, with support for in-memory, DBM files, flat files,
and memcached

buffer - some functions for augmenting file objects

util - various utility functions and objects

synchronizer - provides many reader/single writer synchronization
using either thread mutexes or lockfiles

session - provides a Session interface built upon the Container,
similar interface to mod_python session. Currently needs a
mod_python-like request object, this should be changed to something
more generic.

%description -l pl.UTF-8
Zbiór klas narzędziowych używanych przez szablony Myghty. Zawiera:

container - system kontenerowy zapewniający przechowywanie danych
klucz-wartość niezależnie od backendu, obsługujący pamięć, pliki DBM,
pliki płaskie i memcached

buffer - funkcje dla powiększających się obiektów plikowych

util - różne funkcje i obiekty narzędziowe

synchronizer - synchronizacja dla wielu czytających/jednego piszącego
przy użyciu muteksów wątkowych lub plików blokad

session - interfejs do sesji zbudowany w oparciu o kontener, podobnie
jak sesje mod_python; aktualnie wymaga obiektu żądania podobnego do
mod_pythona, powinno się to zmienić na coś bardziej ogólnego.

%prep
%setup -qn %{fname}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/myghtyutils
%{py_sitescriptdir}/%{fname}-%{version}-py*.egg-info
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-MyghtyUtils.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7ffa59f
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3765140
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fe12be9
- release 2

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 4974829
- release 1; fix previos commit msg

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 1aabcd1
- release 0.4

* Fri Sep 14 2007 beorn <beorn@pld-linux.org> ee87c41
- BR: python downgrade to 2.4 (2.5 is not required)
- Switched to %py_postclean macro

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fd78e0e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f7dbfb1
- converted to UTF-8

* Tue Nov 28 2006 Jakub Bogusz <qboosh@pld-linux.org> de10f3e
- fixed BRs, killed redundant macros

* Mon Nov 20 2006 emes <emes@pld-linux.org> 42de896
- req python 2.5

* Sun Nov 19 2006 emes <emes@pld-linux.org> 33721b8
- works with python 2.4, no need to require 2.5

* Sun Nov 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 230173e
- BR: rpm-pythonprov

* Sun Nov 19 2006 Jakub Bogusz <qboosh@pld-linux.org> b86ff1a
- pl, formatting, python 2.5 for .egg-info

* Sun Nov 19 2006 emes <emes@pld-linux.org> 96f7ad5
- added breq unzip

* Sun Nov 19 2006 emes <emes@pld-linux.org> 5da6cd2
- initial release

